View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000699aMuleUtilitiespublic2005-12-08 02:532005-12-09 23:45
ReporterJacobo221 
Assigned ToKry 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.0.0 
Summary0000699: crash when imporin from the imoprer tool with non-writable Temp dir
Descriptionif the Temp dir is non-writable (stupd, but possible) adn the Import tool is used to import eDonkey2000 files, aMule will crash.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0001569)
Xaignar (manager)
2005-12-08 14:23

BT?
(0001574)
Jacobo221 (updater)
2005-12-08 18:48

i'm running on non-debug build this days because a RAM card died so I'm on 128MB only. So, no BT.

but it is always reproducible I believe, so just:

Download eDonkey2000 monolithic from website
search for anything
start downloading
close ed2k
chmod a-w ~/.aMule/Temp
start aMule
amule -> Import tool
import the ed2k files
(0001576)
GonoszTopi (administrator)
2005-12-08 21:13

A partial fix has been committed, so aMule will now refuse to run if the Temp directory is read-only. But what if it becomes read-only while aMule is running?
... we're becoming paranoid ...
(0001577)
Xaignar (manager)
2005-12-08 23:55

Check has been fixed (and now also checks Incoming and ~/.aMule), but still doesnt check during execution ... should we?
(0001586)
Jacobo221 (updater)
2005-12-09 03:06

actually, i noticed this crash because i mistakenly did chmod a-rwx instead of chmod a+rwx (scrolling through history I went one position too far :P)

while aMule itself handles this permissions change correctly, Importer tool doesn't.

Anyway, a crash is still a crash, so, whatever it is, no crashes should happen with aMule. Agree?

I do not ask to check for permissions on every write task. that' stupid. just to handle the exception silently.
(0001614)
Kry (manager)
2005-12-09 23:45

Revision: 5988
Author: gonosztopi
Date: 2005-12-08 21:23:39 +0100 (Thu, 08 Dec 2005)

- Issue History
Date Modified Username Field Change
2005-12-08 02:53 Jacobo221 New Issue
2005-12-08 14:23 Xaignar Note Added: 0001569
2005-12-08 18:48 Jacobo221 Note Added: 0001574
2005-12-08 21:13 GonoszTopi Note Added: 0001576
2005-12-08 23:55 Xaignar Note Added: 0001577
2005-12-09 03:06 Jacobo221 Note Added: 0001586
2005-12-09 23:44 Kry Status new => assigned
2005-12-09 23:44 Kry Assigned To => Kry
2005-12-09 23:45 Kry Status assigned => resolved
2005-12-09 23:45 Kry Fixed in Version => 2.0.0
2005-12-09 23:45 Kry Resolution open => fixed
2005-12-09 23:45 Kry Note Added: 0001614


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker